VARKON Version 1.15 1997-10-24

> ## iostat - Function

> File error routine
> Description
> Returns the error status of the latest operation performed on a file or pipe. The result depends on what type of operation it was but a value of zero always indicates success (no error).
> Syntax
> iostat(f)

> FILE | f;

> Principal parameters

> f | - The name of a filevariable accociated with an open file or pipe

> Optional parameters

> None. |

> Return value
> An INT value equal to the current error status as below:
> 0 = Operation was successful
> -1 = End of file
> -2 = Can't open the file
> -3 = Can't close the file
> -4 = File not opened for write (W)
> -5 = File not opened for read (R)
> -6 = Write error
> -7 = Read error
> -8 = Seek error
> -9 = File not opened for update (U)
> -10 = File not open
> -11 = Item not read

VARKON Homepage | Index